[isar-cip-core][PATCH] kas/opt/ebg-secure-boot-*: Make Backports for OVMF version depended


Quirin Gylstorff
 

From: Quirin Gylstorff <quirin.gylstorff@...>

For Debian Buster we need to backport a new version of the OVMF package
with contains the necessary option for secureboot with qemu.

Signed-off-by: Quirin Gylstorff <quirin.gylstorff@...>
---

Changes since RFC:
- move back to ebg-secure-boot-snakeoil.yml

kas/opt/ebg-secure-boot-snakeoil.yml | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/kas/opt/ebg-secure-boot-snakeoil.yml b/kas/opt/ebg-secure-boot-snakeoil.yml
index 9f3eae9..5aa5eff 100644
--- a/kas/opt/ebg-secure-boot-snakeoil.yml
+++ b/kas/opt/ebg-secure-boot-snakeoil.yml
@@ -33,6 +33,7 @@ local_conf_header:
IMAGER_INSTALL += "ebg-secure-boot-snakeoil"

ovmf: |
- # snakeoil certs are only part of backports
- DISTRO_APT_SOURCES_append = " conf/distro/debian-buster-backports.list"
- DISTRO_APT_PREFERENCES_append = " conf/distro/preferences.ovmf-snakeoil.conf"
+ # snakeoil certs are only part of backports, for Debian 11 and later the are not necessary
+ OVERRIDES_append = ":${BASE_DISTRO_CODENAME}"
+ DISTRO_APT_SOURCES_append_buster = " conf/distro/debian-buster-backports.list"
+ DISTRO_APT_PREFERENCES_append_buster = " conf/distro/preferences.ovmf-snakeoil.conf"
--
2.34.1

Join cip-dev@lists.cip-project.org to automatically receive all group messages.